date >> cron.log
echo "cronjob started!" >> cron.log
echo "" >> cron.log

# This will pump all the pads with a __PUBLISH__ tag into a folder "publish" as meta.json, txt, html and dhtml
.venv/bin/etherpump pull --meta --dhtml --html --text --publish-opt-in --publish __PUBLISH__ --pub publish --css stylesheet.css --fix-names

echo "Making the Etherpump index now ..."

# This will make an index for the dump
.venv/bin/etherpump index input \
	/var/www/etherpump/publish/*.meta.json \
	--order lastedited \
	--reverse \
	--templatepath /var/www/etherpump/templates \
	--title "Varia ether-notes, magic words and curated listings." \
	--output index.html | tee -a etherpump.log

echo "Done!"

# This will save a pad.css file every hour from the pad https://pad.vvvvvvaria.org/pad.css
# cp publish/pad.css /srv/etherpad-lite/src/altetherpad/src/static/skins/no-skin/pad.css
